Subject: Re: Bug#657390: lintian: Please make build-arch and build-indep required targets

From: Niels Thykier <[email-masked]>
Date: Wed, 23 Jan 2013 09:56:45 +0100

On 2013-01-23 04:46, Guillem Jover wrote:
> Hi!
> 
> [...]
> 
> The first stage could be to wait a bit after testing thaws to see the
> progress; after a bit, change/rename the tag to an error w/o autoreject.

That can be done.

> Wait and see how it progresses, and after a bit more (several months)
> change it to autoreject, but not for binNMUs if that's possible?

It is my understanding that Lintian is only run on source uploads (or
human uploads).  So any upload from buildds should be ignored, but I
suggest we get that confirmed with the ftp-masters if we go with that.

We can (also?) ask the ftp-masters to do a "non-fatal" autoreject for
that tag at that point (that would allow people NMUing packages to
ignore it by overriding it).  Not sure if that has any merrit though.

> to
> avoid disrupting the release process. And then only a small tail
> should remain which could be handled by a MBF etc. After or during
> this last stage dpkg could be switched.
> 
> Thanks,
> Guillem
> 
> 

~Niels